Badger::Data::Type::Simple(3pm)

NAME
Badger::Data::Type::Simple - base class for simple data types

DESCRIPTION
This module implements a base class for simple (single value) data types.

METHODS
The following methods are defined in addition to those inherited from the Badger::Data::Type and Badger::Base base classes.

  simple()
This constant method always returns the value 1.

AUTHOR
Andy Wardley <http://wardley.org/>

COPYRIGHT
Copyright (C) 2008-2009 Andy Wardley. All Rights Reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
Badger::Base, Badger::Data::Type.